Debian Bug report logs - #154179
[Architectures] Please add "sh[34]"

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: YAEGASHI Takeshi <t@keshi.org>

Date: Wed, 24 Jul 2002 19:03:05 UTC

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-superh@lists.debian.org, James Troup and others <ftpmaster@debian.org>, ftp.debian.org@packages.qa.debian.org:
Bug#154179; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to YAEGASHI Takeshi <t@keshi.org>:
New Bug report received and forwarded. Copy sent to debian-superh@lists.debian.org, James Troup and others <ftpmaster@debian.org>, ftp.debian.org@packages.qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: YAEGASHI Takeshi <t@keshi.org>
To: submit@bugs.debian.org
Subject: Please create binary-sh[34] and remove binary-sh
Date: Thu, 25 Jul 2002 04:02:27 +0900
Package: ftp.debian.org
Severity: wishlist

Hi,

Please consider creating deb repository in ftp.debian.org for some of
SuperH architectures: sh3, sh4, sh3eb, sh4eb.  And please remove
binary-sh which had been obsolete long before.

dpkg has already had supports for all these variants since 1.10, but I
don't think all of them need to be distributed by the Debian project.

Platforms with sh3eb or sh4eb are not so popular as ones with sh3 or
sh4.  The binary distribution for the latter both are heavily in demand,
especially in the embedded scene.  So I suggest creating binary-sh3 and
binary-sh4 for now.


I'm not yet an official Debian developer (NM process in progress), but
my buildd processes for sh3 and sh4 have successfully built 837 and 3365
debs respectively so far.  Please visit http://debian.dodes.org/.

Most of them are ready to be uploaded to ftp.debian.org and become
official Debian packages.  Is it possbile to ask someone to sponsor the
uploading?

And, I can provide for maintainers with the network access to my sh3 or
sh4 machines.  If you want it, feel free to contact me with your ssh
public key ready.

Regards,
--
YAEGASHI Takeshi <t@keshi.org> <takeshi@yaegashi.jp> <yaegashi@dodes.org>



Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@debian.org>, ftp.debian.org@packages.qa.debian.org:
Bug#154179; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to ISHIKAWA Mutsumi <ishikawa@linux.or.jp>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@debian.org>, ftp.debian.org@packages.qa.debian.org. Full text and rfc822 format available.

Message #10 received at 154179@bugs.debian.org (full text, mbox):

From: ISHIKAWA Mutsumi <ishikawa@linux.or.jp>
To: 154179@bugs.debian.org, t@keshi.org
Cc: debian-sh@lists.debian.org
Subject: Re: Bug#154179: Please create binary-sh[34] and remove binary-sh
Date: Thu, 25 Jul 2002 13:34:34 +0900
>>>>> In <877kjl54qk.wl@arwen.ta.keshi.org> 
>>>>>	YAEGASHI Takeshi <t@keshi.org> wrote:
>> Package: ftp.debian.org
>> Severity: wishlist

>> Please consider creating deb repository in ftp.debian.org for some of
>> SuperH architectures: sh3, sh4, sh3eb, sh4eb.  And please remove
>> binary-sh which had been obsolete long before.
>>
>> dpkg has already had supports for all these variants since 1.10, but I
>> don't think all of them need to be distributed by the Debian project.

 Most of all packages in binary-sh ware built by me. And these packages
are already removed from official tree, I know.

 Dpkg was already changed to handle binary-sh3/-sh4/-sh3eb/-sh4eb
(after dpkg 1.10) and dropped handling binary-sh.

 So, binary-sh tree is unnecessary.

>> Platforms with sh3eb or sh4eb are not so popular as ones with sh3 or
>> sh4.  The binary distribution for the latter both are heavily in demand,
>> especially in the embedded scene.  So I suggest creating binary-sh3 and
>> binary-sh4 for now.

 Binary incompatibility between SH3 and SH4 was disccused on debian-sh
list, we need both binary-sh3 and binary-sh4, I understand.

On this thread:
 http://lists.debian.org/debian-superh/2001/debian-superh-200109/msg00001.html

 http://lists.debian.org/debian-superh/2001/debian-superh-200109/msg00007.html
 http://lists.debian.org/debian-superh/2001/debian-superh-200109/msg00008.html
 http://lists.debian.org/debian-superh/2001/debian-superh-200109/msg00009.html

 I wish to merge binary-sh3 and binary-sh4 support to next Debian
official release.

>> I'm not yet an official Debian developer (NM process in progress), but
>> my buildd processes for sh3 and sh4 have successfully built 837 and 3365
>> debs respectively so far.  Please visit http://debian.dodes.org/.
>>
>> Most of them are ready to be uploaded to ftp.debian.org and become
>> official Debian packages.  Is it possbile to ask someone to sponsor the
>> uploading?

 Of cause, I'll do this ;-)
 And I'm restarting binary-sh3/-sh4 build on my own machine.

-- 
ISHIKAWA Mutsumi
 <ishikawa@netvillage.co.jp>, <ishikawa@linux.or.jp>, <ishikawa@debian.org>



Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@debian.org>, ftp.debian.org@packages.qa.debian.org:
Bug#154179; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Ryan Murray <rmurray@debian.org>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@debian.org>, ftp.debian.org@packages.qa.debian.org. Full text and rfc822 format available.

Message #15 received at 154179@bugs.debian.org (full text, mbox):

From: Ryan Murray <rmurray@debian.org>
To: ISHIKAWA Mutsumi <ishikawa@linux.or.jp>
Cc: 154179@bugs.debian.org, t@keshi.org, debian-sh@lists.debian.org
Subject: Re: Bug#154179: Please create binary-sh[34] and remove binary-sh
Date: Wed, 24 Jul 2002 22:16:39 -0700
[Message part 1 (text/plain, inline)]
On Thu, Jul 25, 2002 at 01:34:34PM +0900, ISHIKAWA Mutsumi wrote:
>  Binary incompatibility between SH3 and SH4 was disccused on debian-sh
> list, we need both binary-sh3 and binary-sh4, I understand.

>  I wish to merge binary-sh3 and binary-sh4 support to next Debian
> official release.

I am confused.  Does this mean there is an incompatibility _now_, but it
could be fixed to have just one arch in the archive?  If so, why not
fix it now and be done with it?

Again, please correct me if I am wrong.  From my understanding of the
incompatibility thread it seems that the big difference is in performance,
but that the current gcc emits code that is fine for both.  There are
several cases already in the archive where we do not have two archs
for performance gains (mips1 vs mips3, i386 vs i686, etc).  If this is the
case, I don't see why we need to have more than sh3 in the archive.
Doubling the size of a port for a theoretical problem when the compiler we
use will not generate the code in question doesn't seem to be necessary
to me.

-- 
Ryan Murray, Debian Developer (rmurray@cyberhqz.com, rmurray@debian.org)
The opinions expressed here are my own.
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@debian.org>, ftp.debian.org@packages.qa.debian.org:
Bug#154179; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to ISHIKAWA Mutsumi <ishikawa@linux.or.jp>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@debian.org>, ftp.debian.org@packages.qa.debian.org. Full text and rfc822 format available.

Message #20 received at 154179@bugs.debian.org (full text, mbox):

From: ISHIKAWA Mutsumi <ishikawa@linux.or.jp>
To: rmurray@debian.org
Cc: ishikawa@linux.or.jp, 154179@bugs.debian.org, t@keshi.org, debian-superh@lists.debian.org, gniibe@m17n.org
Subject: Re: Bug#154179: Please create binary-sh[34] and remove binary-sh
Date: Thu, 25 Jul 2002 15:11:40 +0900
>>>>> In <20020725051639.GA10014@cyberhqz.com> 
>>>>>	Ryan Murray <rmurray@debian.org> wrote:
>> [1  <text/plain; us-ascii (quoted-printable)>]
>> On Thu, Jul 25, 2002 at 01:34:34PM +0900, ISHIKAWA Mutsumi wrote:
>> >  Binary incompatibility between SH3 and SH4 was disccused on debian-sh
>> > list, we need both binary-sh3 and binary-sh4, I understand.

>> >  I wish to merge binary-sh3 and binary-sh4 support to next Debian
>> > official release.

>> Again, please correct me if I am wrong.  From my understanding of the
>> incompatibility thread it seems that the big difference is in performance,
>> but that the current gcc emits code that is fine for both.  
>>
>> There are several cases already in the archive where we do not have
>> two archs for performance gains (mips1 vs mips3, i386 vs i686,
>> etc). 

 No, it is not same as i386 vs i686.
 Please refer the mail written by NIIBE Yutaka <gniibe@m17n.org>

 http://lists.debian.org/debian-superh/2001/debian-superh-200109/msg00011.html

 The object and/or shared library are *not* compatible  between SH3
and SH4, so we can not mix SH3 and SH4 binary on the same environmet.

 We can run i686 optimized binaries on i386 binaries environment.
 But we can not run SH4 optimized binaries on sh3 binary environment.

-- 
ISHIKAWA Mutsumi
 <ishikawa@netvillage.co.jp>, <ishikawa@linux.or.jp>, <ishikawa@debian.org>



Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@debian.org>, ftp.debian.org@packages.qa.debian.org:
Bug#154179; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to rmurray@debian.org:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@debian.org>, ftp.debian.org@packages.qa.debian.org. Full text and rfc822 format available.

Message #25 received at 154179@bugs.debian.org (full text, mbox):

From: rmurray@debian.org
To: ISHIKAWA Mutsumi <ishikawa@linux.or.jp>
Cc: 154179@bugs.debian.org, t@keshi.org, debian-superh@lists.debian.org, gniibe@m17n.org
Subject: Re: Bug#154179: Please create binary-sh[34] and remove binary-sh
Date: Wed, 24 Jul 2002 23:39:25 -0700
[Message part 1 (text/plain, inline)]
On Thu, Jul 25, 2002 at 03:11:40PM +0900, ISHIKAWA Mutsumi wrote:
> >> Again, please correct me if I am wrong.  From my understanding of the
> >> incompatibility thread it seems that the big difference is in performance,
> >> but that the current gcc emits code that is fine for both.  
> >>
> >> There are several cases already in the archive where we do not have
> >> two archs for performance gains (mips1 vs mips3, i386 vs i686,
> >> etc). 
> 
>  No, it is not same as i386 vs i686.
>  Please refer the mail written by NIIBE Yutaka <gniibe@m17n.org>
> 
>  http://lists.debian.org/debian-superh/2001/debian-superh-200109/msg00011.html

This seems to say that sh3 binaries are fine for sh4, but that the entire
binary (including all shared libraries) must be built at the same
optimization level, or the ABI changes.

>  The object and/or shared library are *not* compatible  between SH3
> and SH4, so we can not mix SH3 and SH4 binary on the same environmet.
>  We can run i686 optimized binaries on i386 binaries environment.
>  But we can not run SH4 optimized binaries on sh3 binary environment.

This means that it won't be possible to rebuild things to be optimized
(easily).  (One could rebuild the entire path of shared libraries and
use some of the linker tricks tried with glibc in the past).  It's
still the case where a pure sh3 environment would work perfectly fine on
sh4.  Does this ABI change also happen with static libraries?

-- 
Ryan Murray, Debian Developer (rmurray@cyberhqz.com, rmurray@debian.org)
The opinions expressed here are my own.
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@debian.org>, ftp.debian.org@packages.qa.debian.org:
Bug#154179; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to YAEGASHI Takeshi <t@keshi.org>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@debian.org>, ftp.debian.org@packages.qa.debian.org. Full text and rfc822 format available.

Message #30 received at 154179@bugs.debian.org (full text, mbox):

From: YAEGASHI Takeshi <t@keshi.org>
To: rmurray@debian.org
Cc: ISHIKAWA Mutsumi <ishikawa@linux.or.jp>, 154179@bugs.debian.org, debian-superh@lists.debian.org, gniibe@m17n.org
Subject: Re: Bug#154179: Please create binary-sh[34] and remove binary-sh
Date: Sat, 27 Jul 2002 14:05:21 +0900
Hi,

At Wed, 24 Jul 2002 23:39:25 -0700,
rmurray@debian.org wrote:

> >  No, it is not same as i386 vs i686.
> >  Please refer the mail written by NIIBE Yutaka <gniibe@m17n.org>
> > 
> >  http://lists.debian.org/debian-superh/2001/debian-superh-200109/msg00011.html
> 
> This seems to say that sh3 binaries are fine for sh4, but that the entire
> binary (including all shared libraries) must be built at the same
> optimization level, or the ABI changes.

That's right.


> >  The object and/or shared library are *not* compatible  between SH3
> > and SH4, so we can not mix SH3 and SH4 binary on the same environmet.
> >  We can run i686 optimized binaries on i386 binaries environment.
> >  But we can not run SH4 optimized binaries on sh3 binary environment.
> 
> This means that it won't be possible to rebuild things to be optimized
> (easily).  (One could rebuild the entire path of shared libraries and
> use some of the linker tricks tried with glibc in the past).  It's
> still the case where a pure sh3 environment would work perfectly fine on
> sh4.  Does this ABI change also happen with static libraries?

I suppose static libraries are also incompatible, that is, you cannot
link sh4 objects with sh3 static libraries.  The ABI differs in how it
assigns registers for function arguments.

On the other hand, the sh4 binaries linked statically on the sh4
environment might work on the sh3 environment too.  But static binaries
wouldn't be welcomed on resource-restricted embedded platforms.

Regards,
--
YAEGASHI Takeshi <t@keshi.org> <takeshi@yaegashi.jp> <yaegashi@dodes.org>



Changed Bug title. Request was from "Adam D. Barratt" <debian-bts@adam-barratt.org.uk> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Adam D. Barratt <debian-bts@adam-barratt.org.uk> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#154179; Package ftp.debian.org. (Sat, 20 Jun 2009 09:36:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to debian-superh@lists.debian.org:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. (Sat, 20 Jun 2009 09:36:06 GMT) Full text and rfc822 format available.

Message #39 received at 154179@bugs.debian.org (full text, mbox):

From: Luca Bruno <lucab@debian.org>
To: 154179@bugs.debian.org, debian-superh@lists.debian.org
Cc: Nobuhiro Iwamatsu <iwamatsu@nigauri.org>, YAEGASHI Takeshi <t@keshi.org>, ISHIKAWA Mutsumi <ishikawa@linux.or.jp>, NIIBE Yutaka <gniibe@m17n.org>, Aurelien Jarno <aurelien@aurel32.net>
Subject: Re: Bug#154179: Please create binary-sh[34] and remove binary-sh
Date: Sat, 20 Jun 2009 11:33:51 +0200
[Message part 1 (text/plain, inline)]
[Sorry for the long CC: list, I was unsure about subscribers]

So, even if this report is quite old, it looks like something is
currently moving.
This mail is just to ping all interested parties and sum up relevant
references.

In a recent thread[1], there were initial discussions about first
integrating sh4 into debian-ports[2], also to ease a future move into
the official archive. Buildd and porters hardware is reported to be
available, but it looks to me that the issue is currently related to
lack of manpower and people involved.

Porters, commenters and SH fans, would you please speak up and
coordinate initial setup with Aurelien?

Also, it would be good to have general-use knowledge about this port
available on the wiki, as it's already happening with other ports[3][4]
[5]. While digging the archive, I found many links to Japan
documentations and pages: I think you could try to attract more
contributors just providing more plain English docs.

While at it, can we consider consensus reached to start just with sh4,
ask for binary-sh removal and then if requested try to add other
flavors (having learned and gained experience from the past)?

Reply-to is currently set to Debian SuperH mailing list, please
follow-up there but try to keep this bug report updated with major
progresses and milestones reached.

Cheers, Luca

[1] http://lists.debian.org/debian-superh/2009/05/msg00001.html
[2] http://www.debian-ports.org/
[3] http://wiki.debian.org/ArmPort
[4] http://wiki.debian.org/ArmInfrastructure
[5] http://wiki.debian.org/ArchitectureSpecificsMemo

-- 
 .''`.  ** Debian GNU/Linux **  | Luca Bruno (kaeso)
: :'  :   The Universal O.S.    | lucab (AT) debian.org
`. `'`  			| GPG Key ID: 3BFB9FB3
  `-     http://www.debian.org 	| Debian GNU/Linux Developer
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#154179; Package ftp.debian.org. (Mon, 22 Jun 2009 04:27:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nobuhiro Iwamatsu <iwamatsu@nigauri.org>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. (Mon, 22 Jun 2009 04:27:02 GMT) Full text and rfc822 format available.

Message #44 received at 154179@bugs.debian.org (full text, mbox):

From: Nobuhiro Iwamatsu <iwamatsu@nigauri.org>
To: debian-superh@lists.debian.org
Cc: 154179@bugs.debian.org, YAEGASHI Takeshi <t@keshi.org>, ISHIKAWA Mutsumi <ishikawa@linux.or.jp>, NIIBE Yutaka <gniibe@m17n.org>, Aurelien Jarno <aurelien@aurel32.net>, Luca Bruno <lucab@debian.org>
Subject: Re: Bug#154179: Please create binary-sh[34] and remove binary-sh
Date: Mon, 22 Jun 2009 13:23:49 +0900
Hi, Luca.

2009/6/20 Luca Bruno <lucab@debian.org>:
> [Sorry for the long CC: list, I was unsure about subscribers]
>
> So, even if this report is quite old, it looks like something is
> currently moving.
> This mail is just to ping all interested parties and sum up relevant
> references.
>
> In a recent thread[1], there were initial discussions about first
> integrating sh4 into debian-ports[2], also to ease a future move into
> the official archive. Buildd and porters hardware is reported to be
> available, but it looks to me that the issue is currently related to
> lack of manpower and people involved.
>
> Porters, commenters and SH fans, would you please speak up and
> coordinate initial setup with Aurelien?

Mr, Yaegashi, Mr, Ishikawa and Mr. Niibe are the first proposers who were
going to support SH in Debian.

This was performed very before.
There were sh3/sh4 and two architecture and an endian in those days.

I suggested sh3 + kernel math emuration to support sh3 two years ago.

However, sh3 is still produced now,; but central sh4.
And the new CPU of sh3 is not developed.

And sh3/sh4 is bi-endian, but most of big-endian is not employed.
I reopened activity with an aim in supporting little endian of sh4.

>
> Also, it would be good to have general-use knowledge about this port
> available on the wiki, as it's already happening with other ports[3][4]
> [5]. While digging the archive, I found many links to Japan
> documentations and pages: I think you could try to attract more
> contributors just providing more plain English docs.

I made a page of SH4 port.
However, these are not yet enough.

>
> While at it, can we consider consensus reached to start just with sh4,
> ask for binary-sh removal and then if requested try to add other
> flavors (having learned and gained experience from the past)?
>

I think it to have possibilities to delete binary-sh as had written on the top.
However, I want to hear the opinion of other people.

Best regards,
 Nobuhiro


-- 
Nobuhiro Iwamatsu




Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#154179; Package ftp.debian.org. (Mon, 22 Jun 2009 13:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bill Traynor <wmat@naoi.ca>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. (Mon, 22 Jun 2009 13:09:03 GMT) Full text and rfc822 format available.

Message #49 received at 154179@bugs.debian.org (full text, mbox):

From: Bill Traynor <wmat@naoi.ca>
To: Nobuhiro Iwamatsu <iwamatsu@nigauri.org>
Cc: debian-superh@lists.debian.org, 154179@bugs.debian.org, YAEGASHI Takeshi <t@keshi.org>, ISHIKAWA Mutsumi <ishikawa@linux.or.jp>, NIIBE Yutaka <gniibe@m17n.org>, Aurelien Jarno <aurelien@aurel32.net>, Luca Bruno <lucab@debian.org>
Subject: Re: Bug#154179: Please create binary-sh[34] and remove binary-sh
Date: Mon, 22 Jun 2009 09:00:20 -0400
On Mon, Jun 22, 2009 at 00:23, Nobuhiro Iwamatsu<iwamatsu@nigauri.org> wrote:
> Hi, Luca.
>
> 2009/6/20 Luca Bruno <lucab@debian.org>:
>> [Sorry for the long CC: list, I was unsure about subscribers]
>>
>> So, even if this report is quite old, it looks like something is
>> currently moving.
>> This mail is just to ping all interested parties and sum up relevant
>> references.
>>
>> In a recent thread[1], there were initial discussions about first
>> integrating sh4 into debian-ports[2], also to ease a future move into
>> the official archive. Buildd and porters hardware is reported to be
>> available, but it looks to me that the issue is currently related to
>> lack of manpower and people involved.
>>
>> Porters, commenters and SH fans, would you please speak up and
>> coordinate initial setup with Aurelien?

I'm not sure what you mean by "coordinate initial setup", but I am
hereby speaking up as an SH fan and will be contributing English
documentation shortly.

>
> Mr, Yaegashi, Mr, Ishikawa and Mr. Niibe are the first proposers who were
> going to support SH in Debian.
>
> This was performed very before.
> There were sh3/sh4 and two architecture and an endian in those days.
>
> I suggested sh3 + kernel math emuration to support sh3 two years ago.
>
> However, sh3 is still produced now,; but central sh4.
> And the new CPU of sh3 is not developed.
>
> And sh3/sh4 is bi-endian, but most of big-endian is not employed.
> I reopened activity with an aim in supporting little endian of sh4.
>
>>
>> Also, it would be good to have general-use knowledge about this port
>> available on the wiki, as it's already happening with other ports[3][4]
>> [5]. While digging the archive, I found many links to Japan
>> documentations and pages: I think you could try to attract more
>> contributors just providing more plain English docs.

I'm assuming you're referring to www.linux-sh.org.  Myself and others
are working to get more English documentation out there.

>
> I made a page of SH4 port.

Is your page different from the link here:
http://debian.org/ports/#unreleased which points back to
www.linux-sh.org?

> However, these are not yet enough.
>
>>
>> While at it, can we consider consensus reached to start just with sh4,
>> ask for binary-sh removal and then if requested try to add other
>> flavors (having learned and gained experience from the past)?
>>

What justifies SH4 first?  Is there a particular piece of hardware
based on SH4 that your interested in running DebianSH on?  I don't
particularly care what variant you target first, but I'm curious why.

>
> I think it to have possibilities to delete binary-sh as had written on the top.
> However, I want to hear the opinion of other people.
>
> Best regards,
>  Nobuhiro
>
>
> --
> Nobuhiro Iwamatsu
>
>
> --
> To UNSUBSCRIBE, email to debian-superh-REQUEST@lists.debian.org
> with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
>
>




Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#154179; Package ftp.debian.org. (Thu, 25 Jun 2009 03:18:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nobuhiro Iwamatsu <iwamatsu@nigauri.org>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. (Thu, 25 Jun 2009 03:18:02 GMT) Full text and rfc822 format available.

Message #54 received at 154179@bugs.debian.org (full text, mbox):

From: Nobuhiro Iwamatsu <iwamatsu@nigauri.org>
To: Bill Traynor <wmat@naoi.ca>
Cc: debian-superh@lists.debian.org, 154179@bugs.debian.org, YAEGASHI Takeshi <t@keshi.org>, ISHIKAWA Mutsumi <ishikawa@linux.or.jp>, NIIBE Yutaka <gniibe@m17n.org>, Aurelien Jarno <aurelien@aurel32.net>, Luca Bruno <lucab@debian.org>
Subject: Re: Bug#154179: Please create binary-sh[34] and remove binary-sh
Date: Thu, 25 Jun 2009 12:15:08 +0900
Hi,

2009/6/22 Bill Traynor <wmat@naoi.ca>:
>
>>
>> I made a page of SH4 port.
>
> Is your page different from the link here:
> http://debian.org/ports/#unreleased which points back to
> www.linux-sh.org?

I'll second that.

>
>> However, these are not yet enough.
>>
>>>
>>> While at it, can we consider consensus reached to start just with sh4,
>>> ask for binary-sh removal and then if requested try to add other
>>> flavors (having learned and gained experience from the past)?
>>>
>
> What justifies SH4 first?  Is there a particular piece of hardware
> based on SH4 that your interested in running DebianSH on?  I don't
> particularly care what variant you target first, but I'm curious why.
>

I do not have a particularly big reason.
If there is a reason, the reason is because I do not have a board of sh3.
And I think the user to have more sh4 than sh3.

Do you want to support sh3?
If it is so, I will participate so in development with pleasure.

Best regards,
  Nobuhiro
-- 
Nobuhiro Iwamatsu




Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#154179; Package ftp.debian.org. (Wed, 08 Jul 2009 13:48:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bill Traynor <wmat@naoi.ca>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. (Wed, 08 Jul 2009 13:48:02 GMT) Full text and rfc822 format available.

Message #59 received at 154179@bugs.debian.org (full text, mbox):

From: Bill Traynor <wmat@naoi.ca>
To: Nobuhiro Iwamatsu <iwamatsu@nigauri.org>
Cc: debian-superh@lists.debian.org, 154179@bugs.debian.org, YAEGASHI Takeshi <t@keshi.org>, ISHIKAWA Mutsumi <ishikawa@linux.or.jp>, NIIBE Yutaka <gniibe@m17n.org>, Aurelien Jarno <aurelien@aurel32.net>, Luca Bruno <lucab@debian.org>
Subject: Re: Bug#154179: Please create binary-sh[34] and remove binary-sh
Date: Wed, 8 Jul 2009 09:45:29 -0400
On Wed, Jun 24, 2009 at 23:15, Nobuhiro Iwamatsu<iwamatsu@nigauri.org> wrote:
> Hi,
>
> 2009/6/22 Bill Traynor <wmat@naoi.ca>:
>>
>>>
>>> I made a page of SH4 port.
>>
>> Is your page different from the link here:
>> http://debian.org/ports/#unreleased which points back to
>> www.linux-sh.org?
>
> I'll second that.
>
>>
>>> However, these are not yet enough.
>>>
>>>>
>>>> While at it, can we consider consensus reached to start just with sh4,
>>>> ask for binary-sh removal and then if requested try to add other
>>>> flavors (having learned and gained experience from the past)?
>>>>
>>
>> What justifies SH4 first?  Is there a particular piece of hardware
>> based on SH4 that your interested in running DebianSH on?  I don't
>> particularly care what variant you target first, but I'm curious why.
>>
>
> I do not have a particularly big reason.
> If there is a reason, the reason is because I do not have a board of sh3.
> And I think the user to have more sh4 than sh3.

Fair enough, those are good enough reasons.

>
> Do you want to support sh3?

I'd love too, but alas, cannot at present.  However, as time allows, I
may attempt to pick this up or at the very least contribute.  The only
SH3 based hardware I own is a Jornada 690 though.

I guess the bigger questions would be "why bother?"  Given the limited
number of Linux hackers I know of working on SuperH as it is, spending
time on support for newer hardware would seem wiser.

> If it is so, I will participate so in development with pleasure.
>
> Best regards,
>  Nobuhiro
> --
> Nobuhiro Iwamatsu
>




Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#154179; Package ftp.debian.org. (Fri, 25 Mar 2011 22:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mark Hymers <mhy@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. (Fri, 25 Mar 2011 22:24:03 GMT) Full text and rfc822 format available.

Message #64 received at 154179@bugs.debian.org (full text, mbox):

From: Mark Hymers <mhy@debian.org>
To: Bill Traynor <wmat@naoi.ca>, 154179@bugs.debian.org
Cc: Nobuhiro Iwamatsu <iwamatsu@nigauri.org>, debian-superh@lists.debian.org, YAEGASHI Takeshi <t@keshi.org>, ISHIKAWA Mutsumi <ishikawa@linux.or.jp>, NIIBE Yutaka <gniibe@m17n.org>, Aurelien Jarno <aurelien@aurel32.net>, Luca Bruno <lucab@debian.org>
Subject: Re: Bug#154179: Please create binary-sh[34] and remove binary-sh
Date: Fri, 25 Mar 2011 22:21:16 +0000
On Wed, 08, Jul, 2009 at 09:45:29AM -0400, Bill Traynor spoke thus..
> I guess the bigger questions would be "why bother?"  Given the limited
> number of Linux hackers I know of working on SuperH as it is, spending
> time on support for newer hardware would seem wiser.

Hi,

So is there a consensus that sh4 inclusion is what is wanted?  If so, is
the port at a state where that's feasible.  Looking at debian-ports.org,
( http://buildd.debian-ports.org/stats/graph-week-big.png ) you seem to
have just under 90% of the archive built.

If you're still interested in getting the port into
unstable/experimental (and obviously aiming for a release, but that's up
to the release team), you need to co-ordinate between DSA (for buildd
hardware and hosting), the buildd team (for integration into the main
buildd network) the release team (to check they don't want to veto the
port), the security team (again to check they have no reason to veto the
port).  Finally, wearing my ftpmaster hat, if everyone else is happy,
I'll be happy to start the archive bootstrapping process with you.

Details of the bootstrapping process can be found at:
http://lists.debian.org/debian-devel-announce/2008/08/msg00009.html

Thanks,

Mark

-- 
Mark Hymers <mhy at debian dot org>

"I got off at Durham... and fell in love with it instantly.  Why, it's
 wonderful - a perfect little city.  If you have never been to Durham, go
 there at once. Take my car. It's wonderful."
     Notes from a Small Island, Bill Bryson




Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#154179; Package ftp.debian.org. (Sat, 26 Mar 2011 21:45:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bill Traynor <wmat@naoi.ca>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. (Sat, 26 Mar 2011 21:45:07 GMT) Full text and rfc822 format available.

Message #69 received at 154179@bugs.debian.org (full text, mbox):

From: Bill Traynor <wmat@naoi.ca>
To: Mark Hymers <mhy@debian.org>
Cc: 154179@bugs.debian.org, Nobuhiro Iwamatsu <iwamatsu@nigauri.org>, debian-superh@lists.debian.org, YAEGASHI Takeshi <t@keshi.org>, ISHIKAWA Mutsumi <ishikawa@linux.or.jp>, NIIBE Yutaka <gniibe@m17n.org>, Aurelien Jarno <aurelien@aurel32.net>, Luca Bruno <lucab@debian.org>
Subject: Re: Bug#154179: Please create binary-sh[34] and remove binary-sh
Date: Sat, 26 Mar 2011 17:34:55 -0400
On 11-03-25 06:21 PM, Mark Hymers wrote:
> On Wed, 08, Jul, 2009 at 09:45:29AM -0400, Bill Traynor spoke thus..
>> I guess the bigger questions would be "why bother?"  Given the limited
>> number of Linux hackers I know of working on SuperH as it is, spending
>> time on support for newer hardware would seem wiser.
> Hi,
>
> So is there a consensus that sh4 inclusion is what is wanted?  If so, is
> the port at a state where that's feasible.  Looking at debian-ports.org,
> ( http://buildd.debian-ports.org/stats/graph-week-big.png ) you seem to
> have just under 90% of the archive built.

I would say that yes, the consensus is still that we need sh4 
inclusion.  I'm not sure of the state of the port at present, perhaps 
Iwamatsu-san can comment to that, but I know many of us use DebianSH 
today on various SH4-based boards.

> If you're still interested in getting the port into
> unstable/experimental (and obviously aiming for a release, but that's up
> to the release team), you need to co-ordinate between DSA (for buildd
> hardware and hosting), the buildd team (for integration into the main
> buildd network) the release team (to check they don't want to veto the
> port), the security team (again to check they have no reason to veto the
> port).  Finally, wearing my ftpmaster hat, if everyone else is happy,
> I'll be happy to start the archive bootstrapping process with you.

Iwamatsu-san, can you coordinate this effort?  If not who should?

> Details of the bootstrapping process can be found at:
> http://lists.debian.org/debian-devel-announce/2008/08/msg00009.html
>
> Thanks,
>
> Mark
>





Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#154179; Package ftp.debian.org. (Sun, 27 Mar 2011 02:42:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nobuhiro Iwamatsu <iwamatsu@nigauri.org>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. (Sun, 27 Mar 2011 02:42:02 GMT) Full text and rfc822 format available.

Message #74 received at 154179@bugs.debian.org (full text, mbox):

From: Nobuhiro Iwamatsu <iwamatsu@nigauri.org>
To: Mark Hymers <mhy@debian.org>
Cc: Bill Traynor <wmat@naoi.ca>, 154179@bugs.debian.org, debian-superh@lists.debian.org, YAEGASHI Takeshi <t@keshi.org>, ISHIKAWA Mutsumi <ishikawa@linux.or.jp>, NIIBE Yutaka <gniibe@m17n.org>, Aurelien Jarno <aurelien@aurel32.net>, Luca Bruno <lucab@debian.org>
Subject: Re: Bug#154179: Please create binary-sh[34] and remove binary-sh
Date: Sun, 27 Mar 2011 11:39:28 +0900
[Message part 1 (text/plain, inline)]
Hi,

On Fri, Mar 25, 2011 at 10:21:16PM +0000, Mark Hymers wrote:
> On Wed, 08, Jul, 2009 at 09:45:29AM -0400, Bill Traynor spoke thus..
> > I guess the bigger questions would be "why bother?"  Given the limited
> > number of Linux hackers I know of working on SuperH as it is, spending
> > time on support for newer hardware would seem wiser.
> 
> Hi,
> 
> So is there a consensus that sh4 inclusion is what is wanted?  If so, is
> the port at a state where that's feasible.  Looking at debian-ports.org,
> ( http://buildd.debian-ports.org/stats/graph-week-big.png ) you seem to
> have just under 90% of the archive built.

Of course!
We are active to support sh4 in debian formally.

> 
> If you're still interested in getting the port into
> unstable/experimental (and obviously aiming for a release, but that's up
> to the release team), you need to co-ordinate between DSA (for buildd
> hardware and hosting), the buildd team (for integration into the main
> buildd network) the release team (to check they don't want to veto the
> port), the security team (again to check they have no reason to veto the
> port).  Finally, wearing my ftpmaster hat, if everyone else is happy,
> I'll be happy to start the archive bootstrapping process with you.
> 
> Details of the bootstrapping process can be found at:
> http://lists.debian.org/debian-devel-announce/2008/08/msg00009.html
> 

Because there is still a problem in some packages, I do not still
perform these work. However, I will start work. 
I thank for your advice very much.

Best regards,
  Nobuhiro
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#154179; Package ftp.debian.org. (Sun, 27 Mar 2011 02:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nobuhiro Iwamatsu <iwamatsu@nigauri.org>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. (Sun, 27 Mar 2011 02:48:03 GMT) Full text and rfc822 format available.

Message #79 received at 154179@bugs.debian.org (full text, mbox):

From: Nobuhiro Iwamatsu <iwamatsu@nigauri.org>
To: Bill Traynor <wmat@naoi.ca>
Cc: Mark Hymers <mhy@debian.org>, 154179@bugs.debian.org, debian-superh@lists.debian.org, YAEGASHI Takeshi <t@keshi.org>, Aurelien Jarno <aurelien@aurel32.net>, Luca Bruno <lucab@debian.org>
Subject: Re: Bug#154179: Please create binary-sh[34] and remove binary-sh
Date: Sun, 27 Mar 2011 11:45:59 +0900
[Message part 1 (text/plain, inline)]
# I removed Ishikawa-san and Niibe-san from CC.
# Because their mail address is dead.

Hi, Bill.

Thank you for following.
I start work as had written to the email which I sent earlier.

Best regards,
  Nobuhiro

On Sat, Mar 26, 2011 at 05:34:55PM -0400, Bill Traynor wrote:
> On 11-03-25 06:21 PM, Mark Hymers wrote:
> >On Wed, 08, Jul, 2009 at 09:45:29AM -0400, Bill Traynor spoke thus..
> >>I guess the bigger questions would be "why bother?"  Given the limited
> >>number of Linux hackers I know of working on SuperH as it is, spending
> >>time on support for newer hardware would seem wiser.
> >Hi,
> >
> >So is there a consensus that sh4 inclusion is what is wanted?  If so, is
> >the port at a state where that's feasible.  Looking at debian-ports.org,
> >( http://buildd.debian-ports.org/stats/graph-week-big.png ) you seem to
> >have just under 90% of the archive built.
> 
> I would say that yes, the consensus is still that we need sh4
> inclusion.  I'm not sure of the state of the port at present,
> perhaps Iwamatsu-san can comment to that, but I know many of us use
> DebianSH today on various SH4-based boards.
> 
> >If you're still interested in getting the port into
> >unstable/experimental (and obviously aiming for a release, but that's up
> >to the release team), you need to co-ordinate between DSA (for buildd
> >hardware and hosting), the buildd team (for integration into the main
> >buildd network) the release team (to check they don't want to veto the
> >port), the security team (again to check they have no reason to veto the
> >port).  Finally, wearing my ftpmaster hat, if everyone else is happy,
> >I'll be happy to start the archive bootstrapping process with you.
> 
> Iwamatsu-san, can you coordinate this effort?  If not who should?
> 
> >Details of the bootstrapping process can be found at:
> >http://lists.debian.org/debian-devel-announce/2008/08/msg00009.html
> >
> >Thanks,
> >
> >Mark
> >
> 
[signature.asc (application/pgp-signature, inline)]

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 04:38:28 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.